
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the C6XCONTROL_DLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// C6XCONTROL_DLL_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef C6XCONTROL_DLL_EXPORTS
#define C6XCONTROL_DLL_API __declspec(dllexport)
#else
#define C6XCONTROL_DLL_API __declspec(dllimport)
#endif

#include "DSP\\windsk6_enums.h"

C6XCONTROL_DLL_API bool C6XCONTROL_StartUp(); // must be called on start
C6XCONTROL_DLL_API int  C6XCONTROL_ResetDsk(void);
C6XCONTROL_DLL_API bool C6XCONTROL_ResetAndRunCOFF(const char *, bool); 
C6XCONTROL_DLL_API bool C6XCONTROL_ResetAndOpenHPI();
C6XCONTROL_DLL_API bool C6XCONTROL_Run(); 
C6XCONTROL_DLL_API unsigned long C6XCONTROL_getVersion();

C6XCONTROL_DLL_API void C6XCONTROL_setDSP(DSP_VERSION);
C6XCONTROL_DLL_API void C6XCONTROL_setLptPort(PrinterPortNumbers, PrinterPortModes);
C6XCONTROL_DLL_API void C6XCONTROL_setComPort(ComPortNumbers, ComSpeeds);

C6XCONTROL_DLL_API unsigned long C6XCONTROL_getHPI_BaseAddress();
C6XCONTROL_DLL_API bool C6XCONTROL_Write(unsigned long, unsigned long, unsigned long*);
C6XCONTROL_DLL_API bool C6XCONTROL_Read(unsigned long, unsigned long, unsigned long*);
C6XCONTROL_DLL_API bool C6XCONTROL_WriteFloat(unsigned long, unsigned long, float*);
C6XCONTROL_DLL_API bool C6XCONTROL_ReadFloat(unsigned long, unsigned long, float*);

C6XCONTROL_DLL_API bool C6XCONTROL_GetSymbolValue(const char *, unsigned long*);

