/* 
hpi.c
Michael G. Morrow, 2000-2005
HPI shared memory block for host communications
*/ 

#include "hpi.h"
#include "..\windsk6_def.h"

HPI_Memory_Block HPI_Block = 
{
	// these variables are required in all programs
	SecCommComplete, 	// SecCommFlag 
	0, 					// SecCommData 
	TIMER1_CLOCK_SET, 	// TimerFlag
	EXTERNAL_CLOCK, 	// TimerDivider
	-1, 				// CODEC 
	1, 					// SampleFreq 

	// add additional variables below
	1, 					// Gain  
};
